<?php

define('DEBUG', true);
define('ENV', ENV_DEV);

$GLOBALS['FIRE_BASE_KEY'] = 'CMkZdX3MV9zVejrENenKBeT4hC1M_qJsFhfF1IIPCEs';

$GLOBALS['verifyPath'] = '/data/webapps/test-ws.mee.chat/verify.js';
$GLOBALS['tronVerifyPath'] = '/data/webapps/test-ws.mee.chat/verifyTron.js';
if (defined('IS_ENV_LOCAL')) {
    $GLOBALS['verifyPath'] = BASE_DIR . '../chat_ws/verify.js';
    $GLOBALS['tronVerifyPath'] = BASE_DIR . '../chat_ws/verifyTron.js';
}

$GLOBALS['publicKeyAdmin'] = 'EOS5UJR2Np5NPaAJaNpew5aQBRpEKdKBKftPcWhA5fngx3mrax2Bp';

$GLOBALS['walletName'] = 'meechat';
$path = '';
if (@$GLOBALS['IS_WEB_DEV']) {
    $path = '/data/webapps/dice_conf';
} else {
    $path = BASE_DIR . '../dice_conf';
}

//$GLOBALS['walletPwd'] = trim(file_get_contents("{$path}/{$GLOBALS['walletName']}_pwd.txt"));

$GLOBALS['eosProtocol'] = 'https';
$GLOBALS['eosHost'] = 'localnet.eosget.io';
$GLOBALS['eosPort'] = 443;
$GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}:{$GLOBALS['eosPort']}/";

define("CALL_LOG_KEY", "logstash:dw#1");
define("URL_CDN", '/');
define("URL_IPS", '/');

// webpush
define('MESSAGING_PRIVATE_KEY', 'u6CKkk1-8dnejuOs7twd65KDCgVTz2BQt1pDIsW-Rjc');
define('MESSAGING_PUBLIC_KEY', 'BAEJLGwWlflC8M1aN2Xj2GEwNp5_2Lv_-yjm29XVT93nbgdZkSH4pqDYKx60wjt0oyUg1Fw_LlEfs3i3-Lgi2yw');

define('URL_SELF', '//test.mee.chat');
define('CHAT_SERVER_ID', 1);

define('BOT_ID', 876045455);
define('BOT_CHAT_URL', 'https://t.me/mee_test_bot');
define('BOT_TOKEN', '876045455:AAFHv2QmA-DQ9XOZcSgiXViQfEeEulhkQtA'); // @mee_test_bot
define('TELEGRAM_API_URL', 'https://api.telegram.org/bot'.BOT_TOKEN.'/');
define('TELEGRAM_FILE_URL', 'https://api.telegram.org/file/bot'.BOT_TOKEN.'/');
define('TG_BOT_ID', 999);
//end of script
